Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.config_browser
Class ListValidatorsAction

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          org.apache.struts2.config_browser.ListValidatorsAction

All Implemented Interfaces:
  com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, java.io.Serializable

Direct Known Subclasses:
  ShowValidatorAction

    public class ListValidatorsAction

extends com.opensymphony.xwork2.ActionSupport

ListValidatorsAction loads the validations for a given class and context

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.opensymphony.xwork2.ActionSupport
`LOG`

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`ListValidatorsAction()`

Method Summary
`java.lang.String` | `execute()`
`java.lang.String` | `getClazz()`
`java.lang.String` | `getContext()`
`java.util.List` | `getValidators()`
`protected void` | `loadValidators()`
`void` | `setClazz(java.lang.String clazz)`
`void` | `setContext(java.lang.String context)`
`java.lang.String` | `stripPackage(java.lang.Class clazz)`
`java.lang.String` | `stripPackage(java.lang.String clazz)`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearErrorsAndMessages, clone, doDefault, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListValidatorsAction

    public ListValidatorsAction()

Method Detail

### getClazz

    public java.lang.String getClazz()

### setClazz

    public void setClazz(java.lang.String clazz)

### stripPackage

    public java.lang.String stripPackage(java.lang.Class clazz)

### stripPackage

    public java.lang.String stripPackage(java.lang.String clazz)

### getContext

    public java.lang.String getContext()

### setContext

    public void setContext(java.lang.String context)

### getValidators

    public java.util.List getValidators()

### execute

    public java.lang.String execute()
                             throws java.lang.Exception

  Specified by:
    `execute` in interface `com.opensymphony.xwork2.Action`
  Overrides:
    `execute` in class `com.opensymphony.xwork2.ActionSupport`
  Throws:
    `java.lang.Exception`

### loadValidators

    protected void loadValidators()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.